function mostrar_directorios(){



var parametros = {"carpeta":v1};
        $.ajax({
                data:  parametros,
                url:   'descarga_archivos.php',
                type:  'post',
                success:function (response){
                    $("#archivos").html(response);
                }
        });

    
}

//**********************************

function carpetas(){
    
    
var Control = document.getElementById('archivos');
Control.options.length = 0;

var v1=get('periodo');

if (v1=="0") {
    alert("Seleccione Periodo");
    return 0;
}

var parametros = {"periodo":v1};

       $.ajax({
       data:  parametros,

       url:"directorios.php",
       type: "POST",
       success: function(opciones){
           $("#directorio").html(opciones);
           //alert(opciones);
       }})
}

//**********************************

function descarga(){
   
   var car=document.getElementById("directorio").value;
   var arc=document.getElementById("archivos").value;
   var per=document.getElementById("periodo").value;
   

   if ((car=="0" || arc=="0"))  {
       alert("Seleccione - Clase de Reporte -");
   }
   else{
       location.href="descarga.php?periodo="+per+"&carpeta="+car+"&archivo="+arc;
   }
  
}

//**********************************

function get(id){
    return document.getElementById(id).value;
}

//**********************************

function ver(){

   var archivo=document.getElementById("archivos").value;
   
    if( archivo.match(/.(pdf)$/) ){//here your extensions

        location.href="archivos/"+get('periodo')+"/"+get('directorio')+"/"+archivo;        

    }
    else{
        alert("Opci&oacute;n solamente para archivos PDF");
    }
   
}

//**********************************

function checkExt(e) {//use in a form event or ina input
       value=e.value;
    if( !value.match(/.(pdf)$/) ){//here your extensions
        alert("wrong extension");   //actions like focus, not validate...
    }
    else {//right extension
        alert("nice!"); //actions
    }
}



//**********************************

function mostrar_archivos(){

if (get('periodo')=="0") {
    alert("Seleccione Periodo");
    return 0;
}

if (get('directorio')=="0") {
    alert("Seleccione Directorio");
    return 0;
}


var v1="./archivos/"+get('periodo')+"/"+get('directorio')+"/";

var parametros = {"carpeta":v1};
        $.ajax({
                data:  parametros,
                url:   'descarga_archivos.php',
                type:  'post',
                success:function (response){
                    $("#archivos").html(response);
                }
        });
}

//------------------------------------------------

function salir(){


  var parametros = {"accion":'matar_sesion'

                          };
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post'
        });

        document.location.href="index.php";
}

//-----------------------------------------

function retornar(){

      var v1 = parametro1( 'pro' );
      document.location.href="labor_academica.php?id="+v1;

}


function parametro1( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//---------------------

function mostrar_periodos(){

 var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'boletin_docente.php',
                type:  'post',
                success:function (response){
                    $("#periodo").html(response);
                }
        });

}